LLVM-SIZE(1)

NAME
llvm-size - manual page for llvm-size 10

DESCRIPTION
OVERVIEW: llvm object size dumper

USAGE: llvm-size [options] <input files>

OPTIONS:

Generic Options:

--help - Display available options (--help-hidden for more)

--help-list - Display list of available options (--help-list-hidden for more)

--version - Display the version of this program

llvm-size Options:

    Specify output format

-A - System V format

-B - Berkeley format

-m - Darwin -m format

--arch=<string> - architecture(s) from a Mach-O file to dump

--common         - Print common symbols in the ELF file.
    When using Berkeley format, this is added to bss.

--format=<value> - Specify output format

=sysv
    - System V format

=berkeley
    - Berkeley format

=darwin
    - Darwin -m format

-l - When format is darwin, use long format to include addresses and offsets.

--radix=<value> - Print size in radix

=8  - Print size in octal

=10 - Print size in decimal

=16 - Print size in hexadecimal

--totals - Print totals of all objects - Berkeley format only

    Print size in radix:

-o - Print size in octal

-d - Print size in decimal

-x - Print size in hexadecimal

Pass @FILE as argument to read options from FILE.